org.h2.mvstore

## Class MVStore.TxCounter

- java.lang.Object
- - org.h2.mvstore.MVStore.TxCounter

Enclosing class:
  MVStore

    public static final class MVStore.TxCounter
    extends java.lang.Object

Class TxCounter is a simple data structure to hold version of the store along with the counter of open transactions, which are still operating on this version.

### Field Summary

Fields
`java.util.concurrent.atomic.AtomicInteger` `counter` Counter of outstanding operation on this version of a store
`long` `version` Version of a store, this TxCounter is related to

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### version

    public final long version

Version of a store, this TxCounter is related to

#### counter

    public final java.util.concurrent.atomic.AtomicInteger counter

Counter of outstanding operation on this version of a store

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`